talloc (2.4.2-1) unstable; urgency=medium

  * new upstream (minor) release

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 29 Jan 2024 20:14:03 +0300

talloc (2.4.1-2) unstable; urgency=medium

  * d/rules: wrap _PYTHON_SYSCONFIGDATA_NAME setting to cross-compile case
    On e.g. buster, _PYTHON_SYSCONFIGDATA_NAME is different, so this assignment
    does not work right.  In order for it to work on buster, add condition on
    host vs build gnu type. This breaks compilation with foreign python binary.

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 04 Aug 2023 14:15:17 +0300

talloc (2.4.1-1) unstable; urgency=medium

  * new upstream release.

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 30 Jul 2023 22:39:02 +0300

talloc (2.4.0-f2) unstable; urgency=medium

  * d/rules: build for all installed py3versions
    instead of default/supported
  * d/control: remove unused ${python3:Provides}
  * d/control: Standards-Version: 4.6.2 (no changes)
  * d/control: put all doc-generating build-deps into one line
  * little prep for cross-compilation
  * d/control: work around autodep8 #904999 again

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 04 Feb 2023 17:10:46 +0300

talloc (2.4.0-f1) unstable; urgency=medium

  * new upstream release (2.4.0, samba 4.18):
   - Add talloc_asprintf_addbuf()
   - Support python 3.12
  * d/libtalloc2.symbols: add new symbol and new versions
  * d/python3-talloc.symbols.in: add new versions

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 21 Jan 2023 10:38:53 +0300

talloc (2.3.4-3) unstable; urgency=medium

  * Allow building for multiple python3 versions (disabled for now)
  * d/rules: support "terse" build option for non-verbose build
  * lintian-overrides: update some messages to match old&new lintian
  * d/tests: remove. The autopkgtest just run the build-time testsuite,
    which is already done at build time (dh_auto_test).
  * d/salsa-ci.yml:
   - instead of allowing blhc to (always) fail, disable it
   - disable crossbuild-arm64 test (samba does not cross-build)
  * d/rules: little cleanups

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 20 Jan 2023 17:40:38 +0300

talloc (2.3.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format on line 3.
  * Update standards version to 4.6.1, no changes needed.

  [ Michael Tokarev ]
  * d/rules: inline parallel check from dpkg/buildopts.mk
  * d/rules: make it to be consistent with other samba packages

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 30 Oct 2022 11:48:34 +0300

talloc (2.3.4-1) unstable; urgency=medium

  * new upstream release (2.3.4)
  * removed 0001-Add-support-for-GNU-kFreeBSD.patch (included upstream now)
  * d/libtalloc2.symbols: add new version

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 05 Sep 2022 12:52:40 +0300

talloc (2.3.3-4) unstable; urgency=medium

  * python3-talloc-dev: move pytalloc.h from python-version-specific dir back
    to /usr/include where upstream installs it
  * remove _PUBLIC_ marking from pytalloc.h header too, not only talloc.h
  * remove whole _PUBLIC_ define from the common installed header
    (do not pollute the namespace and do not clash with other usages)
  * generate header of python3-talloc.symbols file directly from d/rules file
    (it is highly python-dependent, this way it is more visible in one place)
  * d/control: remove build-dependency on dh-exec (used only for .symbols file)
  * set SHELL = sh -e for proper error checking
  * switch from --with python to dh-sequence-python3
  * many other cleanups/tweaks in the d/rules file
  * d/rules: explicitly list targets which go to debhelper
  * d/python3-talloc.lintian-overrides: fix to cover all arches not jut x64
  * d/source/lintian.overrides: add override for buildtools/examples/

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 04 May 2022 18:28:58 +0300

talloc (2.3.3-3) unstable; urgency=medium

  * d/rules include buildflags.mk instead of open-coding CFLAGS etc definitions
  * d/rules: remove _PUBLIC_ markers from public header file
    fixing samba-4.16 ftbfs
  * d/rules: clean up bin/ not build/
  * d/control: add myself to Uploaders

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 26 Mar 2022 19:11:12 +0300

talloc (2.3.3-2) unstable; urgency=medium

  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * CI: Allow failures for te bhlc job
  * Add 0001-Add-support-for-GNU-kFreeBSD.patch (Closes: #990878)

 -- Mathieu Parent <sathieu@debian.org>  Tue, 14 Dec 2021 20:39:55 +0100

talloc (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3
    - Update symbols
  * Fix lintian override
  * Standards-Version: 4.6.0, no change

 -- Mathieu Parent <sathieu@debian.org>  Tue, 09 Nov 2021 22:06:44 +0100

talloc (2.3.1-2) unstable; urgency=medium

  * d/python3-talloc.symbols: generating so suffix (Closes: #972776)
  * Update watch file format version to 4.
  * Move to debhelper-compat 13
  * d/copyright: Fix duplicate-globbing-patterns

 -- Mathieu Parent <sathieu@debian.org>  Tue, 10 Nov 2020 15:56:06 +0100

talloc (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1
    - Update symbols

 -- Mathieu Parent <sathieu@debian.org>  Sun, 21 Jun 2020 08:41:11 +0200

talloc (2.3.0-5) unstable; urgency=medium

  * Source-only upload

 -- Mathieu Parent <sathieu@debian.org>  Mon, 09 Mar 2020 10:53:43 +0100

talloc (2.3.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use dh $@ sequencer.

  [ Andreas Hasenack ]
  * Fix FTBFS with python 3.8 (Closes: #953008, #953096)

  [ Mathieu Parent ]
  * Standards-Version: 4.5.0, no change

 -- Mathieu Parent <sathieu@debian.org>  Thu, 05 Mar 2020 10:24:09 +0100

talloc (2.3.0-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entries 1.0-1.

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.

  [ Mathieu Parent ]
  * Re-enable python3-talloc on hurd-i386 (Closes: #944004)

 -- Mathieu Parent <sathieu@debian.org>  Sun, 17 Nov 2019 14:30:56 +0100

talloc (2.3.0-2) unstable; urgency=medium

  * Mark python3-talloc Multi-Arch: same
  * Fix symbols-file-contains-current-version-with-debian-revision

 -- Mathieu Parent <sathieu@debian.org>  Sat, 14 Sep 2019 08:52:56 +0200

talloc (2.3.0-1) unstable; urgency=medium

  * Remove Christian Perrier from Uploaders. Thanks! (Closes: #927515)
  * New upstream version 2.3.0
    - d/watch Unpin to talloc 2.1.x
    - Drop python2 support (Closes: #938624)
    - Update override_dh_auto_clean for Python3
    - Update symbols

 -- Mathieu Parent <sathieu@debian.org>  Fri, 13 Sep 2019 07:54:51 +0200

talloc (2.1.16-3) unstable; urgency=medium

  * Upload to unstable
  * Update salsa-ci.yml
  * d/copyright:
    - Replace LGPL-3+ by LGPL-3.0+
    - Update LGPL-3.0+ notice
  * Standards-Version: 4.4.0
  * Bump debhelper from old 11 to 12
    - dh_install --list-missing removed in compat 12
  * Use dh_missing --fail-missing

 -- Mathieu Parent <sathieu@debian.org>  Thu, 29 Aug 2019 12:49:41 +0200

talloc (2.1.16-2) experimental; urgency=medium

  * d/copyright Full review

 -- Mathieu Parent <sathieu@debian.org>  Mon, 29 Jul 2019 23:23:19 +0200

talloc (2.1.16-1) experimental; urgency=medium

  [ Mathieu Parent ]
  * New upstream version 2.1.16
    - Update symbols, no change
    - Clean up third_party/waf/waflib/*.pyc in override_dh_auto_clean
  * Add Debian pipeline (debian/gitlab-ci.yml)
  * Lintian:
    - Fix public-upstream-key-not-minimal
    - Standards-Version: 4.2.1
    - Add Build-Depends-Package field in d/*.symbols
    - debian/python-talloc.lintian-overrides: Override false-positive
      library-not-linked-against-libc
    - Standards-Version: 4.3.0
    - Add Build-Depends-Package: python3-talloc-dev to
      python3-talloc.symbols.common
    - Add python3-talloc{,-dev}.lintian-overrides
  * Remove undefined ${python:Depends} form python3-talloc-dev Depends

  [ Andreas Hasenack ]
  *  d/rules: fix globbing for talloc static library creation
  *  d/rules: build for python2 and python3
  *  d/control, d/python3-talloc.install: new python3 binding package
  *  d/python3-talloc.symbols.{common,amd64,armhf,arm64,s390x,ppc64el,i386}: use
     per-arch symbols file
  *  d/rules: check python3-talloc symbols
  *  d/control, d/python3-talloc-dev.install, d/rules: new python3-talloc-dev
     package

 -- Mathieu Parent <sathieu@debian.org>  Sat, 23 Mar 2019 09:10:08 +0100

talloc (2.1.14-2) unstable; urgency=medium

  * Add debian/upstream/metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 23 Oct 2018 09:22:43 +0000

talloc (2.1.14-1) unstable; urgency=medium

  * Upload to unstable
    - Update symbols, no change
  * New upstream version 2.1.14
  * Revert python3 support (Reopen #802484, #814928; Closes: #902883) until it
    is ready
  * Add Breaks: python3-talloc (<< 2.1.13-2~)
  * Standards-Version: 4.1.5:
    - Add Rules-Requires-Root: no

 -- Mathieu Parent <sathieu@debian.org>  Sat, 14 Jul 2018 22:28:35 +0200

talloc (2.1.13-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * Add py3 support back (Closes: #802484, #814928)

  [ Mathieu Parent ]
  * New upstream version 2.1.13
    - Update symbols (no change)
  * Update Standards-Version to 4.1.4, no change
  * Mark libtalloc-dev and python{,3}-talloc{,dev} "Multi-Arch: same"
  * Run wrap-and-sort
  * Drop d/patches/series (pytalloc-util-name.diff missing)
  * Fix lintian overrides
  * Upload to experimental, as python3 changes are risky

 -- Mathieu Parent <sathieu@debian.org>  Sun, 01 Jul 2018 09:28:27 +0200

talloc (2.1.11-2) unstable; urgency=low

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Tue, 15 May 2018 15:40:10 +0200

talloc (2.1.11-1) experimental; urgency=medium

  * New upstream version 2.1.11
    - Update symbols (no change)
  * Upload to experimental
  * Repository moved to salsa: Update Vcs-* fields
  * Fix global-files-wildcard-not-first-paragraph-in-dep5-copyright
  * Move to debhelper 11, no expected change
    - remove "dh --parallel", not needed in compat 11
  * Standards-Version: 4.1.3, no change

 -- Mathieu Parent <sathieu@debian.org>  Sun, 11 Mar 2018 21:04:04 +0100

talloc (2.1.10-2) unstable; urgency=medium

  * Upload to sid

 -- Mathieu Parent <sathieu@debian.org>  Thu, 26 Oct 2017 10:25:44 +0200

talloc (2.1.10-1) experimental; urgency=medium

  * New upstream version 2.1.10
    - Update symbols (no change)
  * Use https form of the copyright-format URL (Debian Policy 4.0.0)
  * Standards-Version: 4.0.0

 -- Mathieu Parent <sathieu@debian.org>  Thu, 28 Sep 2017 23:08:38 +0200

talloc (2.1.9-2) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Mon, 19 Jun 2017 17:19:07 +0200

talloc (2.1.9-1) experimental; urgency=medium

  * New upstream version 2.1.9
  * Updating symbols

 -- Mathieu Parent <sathieu@debian.org>  Thu, 08 Jun 2017 22:41:31 +0200

talloc (2.1.8-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use https homepage for talloc.

  [ Mathieu Parent ]
  * New upstream release.
    - Update symbols (no change)
  * Add me to uploaders
  * Remove XS-Testsuite header in debian/control
  * Use secure Vcs-* uris
  * Fix copyright-refers-to-symlink-license
  * Enable all hardenings
  * Override dh-exec-subst-unknown-variable
  * Use https and verify upstream tarball from uscan
  * Use automatic debug packages (-dbgsym)

 -- Mathieu Parent <sathieu@debian.org>  Sat, 08 Oct 2016 23:16:09 +0200

talloc (2.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop unnecessary dependency on python3-dev.
  * Bump standards version to 3.9.8 (no changes).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 03 Jul 2016 19:51:49 +0000

talloc (2.1.6-1) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Bump standards version to 3.9.7 (no changes).

  [ Andrew Bartlett ]
  * New upstream release.
  * Remove python3-talloc for now (trying to remove the SOABI caused other
    issues).

  [ Jelmer Vernooij ]
  * Fix Vcs-Git header to use master branch rather than unstable.
  * Add Breaks for older versions of python-samba (<< 2:4.3.6+dfsg-2), because
    of upstream bug https://bugzilla.samba.org/show_bug.cgi?id=11789.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 04 Apr 2016 07:53:47 +1200

talloc (2.1.5-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Build python3 packages. Closes: #802484
  * Bump debhelper and standards version.
  * Do not encode the SOABI and the multiarch string into the pytalloc-util
    library, just append a '-py3'.
  * Make the build log a bit more verbose.

  [ Jelmer Vernooij ]
  * Simplify making waf more verbose.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 25 Feb 2016 03:43:08 +0000

talloc (2.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 08 Nov 2015 20:57:46 +0000

talloc (2.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch revert-ldflags-atend: applied upstream.
  * Remove patch reproducible-build: applied upstream.
  * debian/copyright: Fix uniqueness of license names.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 19 Sep 2015 02:46:57 +0000

talloc (2.1.2-3) unstable; urgency=medium

  * Add patch reproducible-build: use set time in manpage, make build
    reproducible. Closes: #782864
  * Fix ordering of paragraphs in debian/copyright.
  * Stop creating empty swig directory.
  * Drop unused swig dependency.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 26 Apr 2015 09:58:25 +0000

talloc (2.1.2-2) unstable; urgency=medium

  * Make libtalloc2-dbg Multi-Arch: same.
  * Fix lib/replace/ paths in debian/copyright.
  * Pass CPPFLAGS onto configure to enable hardening.
  * Add patch revert-ldflags-atend: Revert upstream change to add
    LDFLAGS at end of LDFLAGS command-line. This broke use of
    --Wl,--as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 25 Apr 2015 13:22:20 +0000

talloc (2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 3.9.6.
  * Add short copyright license name for libreplace/timegm.c.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 15 Mar 2015 02:57:19 +0100

talloc (2.1.1-2) unstable; urgency=low

  * Use canonical URL in Vcs-Git.
  * Specify branch in Vcs-Git.
  * libtalloc-dev: Install talloc_guide.txt.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 05 Jul 2014 23:40:00 +0200

talloc (2.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 02 Jun 2014 01:22:09 +0200

talloc (2.1.0-2) unstable; urgency=medium

  * Change maintainer to Samba Debian maintainers.
  * Bump standards version to 3.9.5 (no changes).
  * Run testsuite from autopkgtest.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Apr 2014 16:08:49 +0200

talloc (2.1.0-1) unstable; urgency=low

  * New upstream release.
   + Drop 08_waf_python_config: now applied upstream.
  * Bump standards version to 3.9.4 (no changes).
  * Update Vcs header now that repository is in git.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 14 Sep 2013 13:03:51 +0100

talloc (2.0.8-1) unstable; urgency=low

  [ Jelmer Vernooij ]
  * Bump standards version to 3.9.3 (no changes).
  * Use parseable copyright file format.
  * Properly clean up after build.
  * Migrate to Git.

  [ Christian Perrier ]
  * Use versioned license link in debian/copyright

  [ Jelmer Vernooij ]
  * Use dpkg-buildflags, enables hardening.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 10 Apr 2012 20:25:09 +0200

talloc (2.0.8-0.1) unstable; urgency=low

  [ Andrew Bartlett ]
  * Non-maintainer upload with maintainer's agreement.
  * New upstream release.
   + Add 08_waf_python_config to cope with python-config no longer
     being a script.

 -- Christian Perrier <bubulle@debian.org>  Sat, 16 Feb 2013 12:44:12 +0100

talloc (2.0.7+git20120207-1) unstable; urgency=low

  * New upstream snapshot.
   + Unpacks waf source code. Closes: #654508

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 07 Feb 2012 15:46:18 +0100

talloc (2.0.7-3) unstable; urgency=low

  * Link with --as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 28 Sep 2011 11:06:58 +0200

talloc (2.0.7-2) unstable; urgency=low

  * Build against default system Python and explicitly use dh_python2.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 25 Sep 2011 19:14:47 +0200

talloc (2.0.7-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 16 Sep 2011 15:11:44 +0200

talloc (2.0.6-2) unstable; urgency=low

  * Cherry-pick ABI for pytalloc.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 18 Aug 2011 19:28:03 +0200

talloc (2.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 09 Aug 2011 02:56:17 +0200

talloc (2.0.5-3) unstable; urgency=low

  * Switch to new style debhelper.
  * Upload to unstable.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 28 Jul 2011 16:22:52 +0200

talloc (2.0.5-2) experimental; urgency=low

  * Switch to dh_python2.
  * Add multi-arch support to libtalloc1.
  * Add debug packages libtalloc2-dbg and python-talloc-dbg.
  * Bump standards version to 3.9.2 (no changes).
  * Fix license mentioned in manual page. Closes: #623879

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 26 Jul 2011 20:35:13 +0200

talloc (2.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 23 Jan 2011 19:32:51 -0800

talloc (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * Link with --as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 21 Dec 2010 16:32:33 +0100

talloc (2.0.4~git20101213-1) experimental; urgency=low

  * New upstream snapshot.
   + Introduces symbol versioning.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 14 Dec 2010 00:59:17 +0100

talloc (2.0.4~git20101205-1) experimental; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.1 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 05 Dec 2010 15:19:14 +0100

talloc (2.0.3~git20101101-2) experimental; urgency=low

  * Add dependency on libpytalloc-util2 to libpytalloc-util-dev.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 04 Nov 2010 21:56:22 +0100

talloc (2.0.3~git20101101-1) experimental; urgency=low

  * New upstream snapshot.
   + Fixes example include line in manual page. Closes: #588393
   + Removes manual page mention of deprecated talloc_append_string,
     consistent with other deprecated functionality. Closes: #601205
   + Add new binary packages libpytalloc-util2 and libpytalloc-util-dev.
  * Bump standards version to 3.9.1 (no changes).
  * Support nocheck in DEB_BUILD_OPTIONS rather than notest (per policy
    4.9.1).

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 01 Nov 2010 19:06:20 +0100

talloc (2.0.3~git20100517-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 21 May 2010 00:22:17 +0200

talloc (2.0.3~git20100506-2) experimental; urgency=low

  * Add dependency on python for waf. Closes: #580743

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 13 May 2010 18:33:54 +0200

talloc (2.0.3~git20100506-1) experimental; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.8.4.
  * Update upstream location information in debian/copyright. Closes:
    #561529
  * Add missing dependencies on ${misc:Depends}.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 06 May 2010 16:39:57 +0200

talloc (2.0.1-1) unstable; urgency=low

  * New upstream release
  * Switch to source format 3.0 (quilt)
  * Add myself to uploaders

 -- Christian Perrier <bubulle@debian.org>  Thu, 17 Dec 2009 22:36:31 +0100

talloc (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.3.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Sep 2009 23:03:06 +0200

talloc (1.4.0~git20090718-1) experimental; urgency=low

  * New upstream snapshot, required for Samba 4.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jul 2009 12:14:50 +0200

talloc (1.3.1-2) unstable; urgency=low

  * Bump shlibs and use symbol versioning. Closes: #536322
  * Bump standards version to 3.8.2.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jul 2009 11:24:04 +0200

talloc (1.3.1-1) unstable; urgency=low

  * New upstream release.
   + Fixes build on non-Linux GNU systems. (Closes: #526069)

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 17 Jun 2009 17:07:03 +0200

talloc (1.3.0-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 16 May 2009 03:05:22 +0200

talloc (1.2.1-1) unstable; urgency=low

  [ Steve Langasek ]
  * Bump the shlibs in libtalloc1, since previous versions of this package
    have been in the wild (including in an Ubuntu release) with a smaller
    set of exported symbols than the current version - including talloc_pool
    which is used by samba.

  [ Jelmer Vernooij ]
  * Add dummy watch file explaining how to obtain an upstream tarball.
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 14 Mar 2009 18:48:57 +0100

talloc (1.2.0~git20080616-1) unstable; urgency=low

  * New upstream snapshot.
  * Fix symlink to library in package.
  * Update license (now LGPLv3) in copyright file.
  * Bump standards version to 3.8.0.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 17 Jun 2008 03:02:55 +0200

talloc (1.2.0~git20080520-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 20 May 2008 01:40:13 +0200

talloc (1.1.0~svn26291-1) unstable; urgency=low

  * Support building twice in a row. (Closes: #442741)
  * Install SWIG file.
  * Upload to unstable.

 -- Jelmer Vernooij <jelmer@samba.org>  Fri, 30 Nov 2007 18:49:19 +0100

talloc (1.1.0~svn26116-1) experimental; urgency=low

  * Set homepage field.
  * New upstream snapshot.
  * Allow Debian maintainer uploads.

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 25 Nov 2007 18:02:48 +0000

talloc (1.0.1-2) unstable; urgency=low

  * Make libtalloc-dev depend on libtalloc1. (Closes: #426444)

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 25 Nov 2007 16:30:00 +0000

talloc (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@samba.org>  Sat, 26 May 2007 18:58:31 +0200

talloc (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #356088)

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 30 Apr 2007 02:34:53 +0200
